Subject: [core-updates-frozen] agg fails to build

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 24 Nov 2021 15:36:07 -0500

Hello,

The build of agg fails like so:

--8<---------------cut here---------------start------------->8---
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_sqrt_tables.cpp  -fPIC -DPIC -o .libs/agg_sqrt_tables.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_markers_term.cpp  -fPIC -DPIC -o .libs/agg_vcgen_markers_term.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_sqrt_tables.cpp -o agg_sqrt_tables.o >/dev/null 2>&1
In file included from agg_line_profile_aa.cpp:25:
../include/agg_renderer_outline_aa.h: In member function ‘agg::line_profile_aa& agg::renderer_outline_aa<BaseRenderer>::profile()’:
../include/agg_renderer_outline_aa.h:1378:45: error: binding reference of type ‘agg::line_profile_aa&’ to ‘const agg::line_profile_aa’ discards qualifiers
 1378 |         line_profile_aa& profile() { return *m_profile; }
      |                                             ^~~~~~~~~~
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_arrowhead.cpp -o agg_arrowhead.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_line_aa_basics.cpp -o agg_line_aa_basics.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_rounded_rect.cpp -o agg_rounded_rect.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_arc.cpp -o agg_arc.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_trans_warp_magnifier.cpp -o agg_trans_warp_magnifier.o >/dev/null 2>&1
make[2]: *** [Makefile:518: agg_line_profile_aa.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vpgen_clip_polygon.cpp -o agg_vpgen_clip_polygon.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_image_filters.cpp -o agg_image_filters.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vpgen_clip_polyline.cpp -o agg_vpgen_clip_polyline.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_markers_term.cpp -o agg_vcgen_markers_term.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_trans_affine.cpp -o agg_trans_affine.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_bezier_arc.cpp -o agg_bezier_arc.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_bspline.cpp -o agg_bspline.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_bspline.cpp -o agg_vcgen_bspline.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_embedded_raster_fonts.cpp -o agg_embedded_raster_fonts.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_smooth_poly1.cpp -o agg_vcgen_smooth_poly1.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_gsv_text.cpp -o agg_gsv_text.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_trans_single_path.cpp -o agg_trans_single_path.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_dash.cpp -o agg_vcgen_dash.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_trans_double_path.cpp -o agg_trans_double_path.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_curves.cpp -o agg_curves.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_contour.cpp -o agg_vcgen_contour.o >/dev/null 2>&1
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -g -O2 -c agg_vcgen_stroke.cpp -o agg_vcgen_stroke.o >/dev/null 2>&1
make[2]: Leaving directory '/tmp/guix-build-agg-2.5.drv-0/agg-2.5/src'
make[1]: *** [Makefile:533: all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-agg-2.5.drv-0/agg-2.5/src'
make: *** [Makefile:497: all-recursive] Error 1
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("-j" "24") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `build' failed after 1.5 seconds
command "make" "-j" "24" failed with status 2
--8<---------------cut here---------------end--------------->8---

The full log is attached.